Get pay stub from employees from organization integrated with external benefits vendor

Get pay stub from employees from organization integrated with external benefits vendor Token scopes: organizations:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Id from the legal entity to fetch data

Query parameters

payroll_start_datestringOptional
Payroll start date
payroll_end_datestringOptional
Payroll end date
statusstringOptional
Payroll status
items_per_pageintegerOptionalDefaults to 100
Items per page
offsetintegerOptionalDefaults to 0
Items to be skipped when searching

Response

Successful operation.
datalist of objects
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error